# $Revision: 1.20 $, $Date: 2011/09/01 06:54:36 $
Summary:	PowerTOP - tool that finds the software component(s) that make your laptop use more power
Summary(pl.UTF-8):	PowerTOP - narzędzie wykrywające programy zwiększające pobór energii laptopa
Name:		powertop
Version:	1.13
Release:	2
License:	GPL v2
Group:		Applications
Source0:	http://www.lesswatts.org/projects/powertop/download/%{name}-%{version}.tar.gz
# Source0-md5:	78aa17c8f55178004223bf236654298e
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
URL:		http://www.lesswatts.org/projects/powertop/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PowerTOP is a Linux tool that finds the software component(s) that
make your laptop use more power than necessary while it is idle. As of
Linux kernel version 2.6.21, the kernel no longer has a fixed 1000Hz
timer tick. This will (in theory) give a huge power savings because
the CPU stays in low power mode for longer periods of time during
system idle.

However... there are many things that can ruin the party, both inside
the kernel and in userspace. PowerTOP combines various sources of
information from the kernel into one convenient screen so that you can
see how well your system is doing, and which components are the
biggest problem.

%description -l pl.UTF-8
PowerTOP to narzędzie linuksowe znajdujące programy zwiększające pobór
energii laptopa w czasie bezczynności. Od wersji 2.6.21 jądro Linuksa
już nie ma stałej częstotliwości zegara 1000Hz. Daje to (w teorii)
dużą oszczędność energii, ponieważ procesor pozostaje w trybie małego
poboru energii na dłuższe okresy czasu podczas bezczynności systemu.

Jednak jest wiele elementów, które mogą zrujnować tę właściwość,
zarówno w jądrze, jak i przestrzeni użytkownika. PowerTOP łączy różne
źródła informacji z jądra w jeden wygodny ekran pozwalający obejrzeć,
jak dobrze system się sprawuje i które komponenty stanowią największy
problem.

%prep
%setup -q 

%build
%{__make} \
	CFLAGS="%{rpmcflags} -Wall -I/usr/include/ncurses -D VERSION=\\\"%{version}\\\"" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog README
%attr(755,root,root) %{_bindir}/powertop
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: powertop.spec,v $
Revision 1.20  2011/09/01 06:54:36  arekm
- release 2

Revision 1.19  2010/08/13 23:57:49  charles
- updated to 1.13

Revision 1.18  2009/02/18 20:11:12  arekm
- release 2

Revision 1.17  2009/02/09 23:39:05  adamg
- updated to 1.11

Revision 1.16  2008/08/27 19:09:45  dzeus
- up to 1.10, new homepage URL

Revision 1.15  2008/06/11 15:50:12  hawk
- release 2

Revision 1.14  2007-11-06 00:50:05  wolvverine
- up to 1.9

Revision 1.13  2007/08/29 20:59:55  zawadaa
- up to 1.8

Revision 1.12  2007/06/21 21:29:04  qboosh
- zh->zh_TW, see pld-devel-pl

Revision 1.11  2007/06/21 21:10:51  arekm
- rel 2; zh dropped

Revision 1.10  2007/06/20 15:53:00  qboosh
- sorted BRs

Revision 1.9  2007/06/20 12:38:14  zytek
- up to 1.7
- BR: gettext-devel

Revision 1.8  2007/06/10 13:33:45  zytek
- up to 1.6

Revision 1.7  2007/05/30 07:12:37  arekm
- rel 2; missing ncurses BR; add -I ncurses path; add translation files; add manual page

Revision 1.6  2007/05/29 21:29:25  zytek
- 1.5

Revision 1.5  2007/05/27 15:44:49  zytek
- up to 1.3

Revision 1.4  2007/05/15 16:16:11  qboosh
- readapterized wrt utf-8

Revision 1.3  2007/05/15 12:05:12  ankry
- adapterized

Revision 1.2  2007/05/14 20:42:14  qboosh
- pl

Revision 1.1  2007/05/14 14:39:46  blues
- initial.
